module.exports = app => {
  const authy = require("../controllers/authy.controller.js");
  var router = require("express").Router();
  router.post("/getUserById", authy.getUserById);
  router.post("/send-otp", authy.sendOtp);

  router.post("/getUserByEmail", authy.getUserByEmail);
  router.post("/by_certy", authy.by_certy);
  router.post("/addreview", authy.addreview);
  router.post("/getreview", authy.getreview);
  router.post("/getsetting", authy.getsetting);
  router.post("/setsetting", authy.setsetting);
  router.post("/addsupport", authy.addsupport);
  router.post("/update_student_welcome_flow", authy.update_student_welcome_flow);
  router.post("/getallalias", authy.getallalias);
  router.post("/updateuserbyemail", authy.updateuserbyemail);
  router.post("/shortvideo", authy.shortvideo);
  router.post("/update_onbording", authy.update_onbording);
  router.post("/add_onbording", authy.add_onbording);
  router.post("/add_activity_tracker", authy.add_activity_tracker);
  router.post("/add_authy", authy.add_authy);
  router.post("/update_two_fact_tab", authy.update_two_fact_tab);
  router.post("/get_welcome_links", authy.get_welcome_links);
  router.post("/get_expirydate_onboarding", authy.get_expirydate_onboarding);
  router.post("/add_failed_emails", authy.add_failed_emails);
  router.post("/add_payment_transaction", authy.add_payment_transaction);
  router.post("/add_selfcohort_student", authy.add_selfcohort_student);
  router.post("/fetch_user_payment", authy.fetch_user_payment);
  router.post("/get_membership", authy.get_membership);
  router.post("/get_onbording", authy.get_onbording);
  router.post("/get_onetime_membership", authy.get_onetime_membership);
  router.post("/overdue_notification_stop", authy.overdue_notification_stop);
  router.post("/save_access_duration", authy.save_access_duration);
  router.post("/save_self_schedule", authy.save_self_schedule);
  router.post("/shortvideo", authy.shortvideo);
  router.post("/addshorturl", authy.addshorturl);
  router.post("/delete_meeting", authy.delete_meeting);
  router.post("/getallShortUrl", authy.getallShortUrl);
  router.post("/ShortUrldelete", authy.ShortUrldelete);
  router.post("/ShortUrlupdate", authy.ShortUrlupdate);
  router.post("/update_payment_transaction", authy.update_payment_transaction);
  app.use('/authy', router);
};
